List agents
curl --request GET \
--url https://guidinghand.ai/v1/agents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "agent",
"agent_id": "billing",
"name": "Billing help",
"instructions": "<string>",
"effort": "low",
"greeting": "<string>",
"display_name": "Acme Support",
"narration": true,
"customer_answers": true,
"customer_approvals": true,
"is_default": true,
"invite_url_template": "https://guidinghand.ai/acme/billing/{code}",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}Agents
List agents
Every org has a default agent, even before it is customized.
GET
/
v1
/
agents
List agents
curl --request GET \
--url https://guidinghand.ai/v1/agents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "agent",
"agent_id": "billing",
"name": "Billing help",
"instructions": "<string>",
"effort": "low",
"greeting": "<string>",
"display_name": "Acme Support",
"narration": true,
"customer_answers": true,
"customer_approvals": true,
"is_default": true,
"invite_url_template": "https://guidinghand.ai/acme/billing/{code}",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}